* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body{
    background-color: #1d1d21;
    position: relative;
}

h2{
    margin: 50px;
}

h3{
font-size: 24px;
}

.card {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 25px;
    align-items: center;
    border-radius: 3px;
    transition: all 0.15s;
    padding: 25px;
    width: 180px;
    font-weight: bold;
    background-color: whitesmoke;
}

.poste h2 {
    opacity: 0;
    font-size: 1em;
    animation: opac 0.5s linear;
    animation-delay: 0.5s;
    animation-fill-mode: forwards;
}

.card:hover{
    background: #1d1d21;
}

.html:hover{
    color: #E34F26 ;
}
.css:hover{
    color: #30A9DC;
}
.js:hover{
    color: #F0DB4F;
}
.react:hover{
    color: #00D8FF;
}
.node:hover{
    color: #6CC14A;
}
.express:hover{
    color: whitesmoke;
}
.express:hover svg{
    fill: whitesmoke;
}
.mongo:hover{
    color: #01EC64;
}
.jwt:hover{
    color: #D63AFF;
}
.socket:hover{
    color: whitesmoke;
}
.socket:hover svg{
    fill: whitesmoke;
}

.liste-competences{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
    padding: 25px;
}


.card svg {
    width: 50px;
    height: 50px;
}

.fin-competence{
    text-align: end;
}

.competences{
    padding: 15px;
}

.competences h2 {
    color: whitesmoke;
}

.info{
    background-color: #1D1D21;
    width: 33%;
    border-radius: 5px;
    display: flex;
    color: whitesmoke;
    align-items: center;
    position: relative;
    padding: 25px;
}

.info img{
    position: absolute;
    left: 25px;
    width: 5%;
}

.info p {
 position: absolute;
 left: 50%;
 translate: -50%;
}

.info:hover{
    background-color: whitesmoke;
    color: black;
    transition: 0.2s linear;
}

.contact{
    background-color:#393939c0 ;
    padding: 40px;
    position: relative;
}

.line-bg{
    background-color: #108DE9 ;
    width: 40%;
    height: 5px;
    position: absolute;
    bottom: -2px;
    left: 0px;
    border-radius: 0px 10px 10px 0px;
}

.line-hg{
    background-color: #108DE9 ;
    width: 40%;
    height: 5px;
    position: absolute;
    top: -2px;
    left: 0px;
    border-radius: 0px 10px 10px 0px;
}

.line-hd{
    background-color: #108DE9 ;
    width: 40%;
    height: 5px;
    position: absolute;
    top: -2px;
    right: 0px;
    border-radius: 10px 0px 0px 10px;
}
.line-bd{
    background-color: #108DE9 ;
    width: 40%;
    height: 5px;
    position: absolute;
    bottom: -2px;
    right: 0px;
    border-radius: 10px 0px 0px 10px;
}

.titre-contact{
    color: whitesmoke;
    position: absolute;
    top: -16px;
    left: 50%;
    translate: -50%;
}

.liste-contact{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
}

.projet{
    margin-bottom: 25px;
    padding: 15px;
}

.projet h2 {
    color: whitesmoke;
}

.card-projet{
    width: 300px;
    height: 300px;
    margin: 25px;
    list-style-type: none;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    border-radius: 5px;
    transition: transform 0.5s ease-in-out;
    overflow: hidden;
}

.gamestream{
    background-image: url(Gamestream.png);
}

.dreamsmc{
    background-image: url(dreamsmc.png);
}

.lfpc{
    background-image: url(lfpc.png);
}

.splitpay{
    background-image: url(splitpay.png);
}



.detail-projet{
    position: absolute;
    height: 20%;
    width: 100%;
    bottom: 0px;
    background-color: #1d1d2175;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bolder;
    backdrop-filter: blur(10px);
    border-radius: 0px 0px 5px 5px;
    
}

.card-projet:hover {
    animation: moveAndZoomBackground 15s infinite alternate;
}

@keyframes moveAndZoomBackground {
    0% {
        background-size: 200%;
        background-position: center;
    }
    20% {
        background-size: 210%;
        background-position: top right;
    }
    40% {
        background-size: 220%;
        background-position: bottom left;
    }
    60% {
        background-size: 210%;
        background-position: top left;
    }
    80% {
        background-size: 220%;
        background-position: bottom right;
    }
    100% {
        background-size: 200%;
        background-position: center;
    }
}


.liste-projet{
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}


.lightblue{
    color: #30A9DC;
}
.blue{
    color: #39c4ff;
}

.yellow{
    color: #F0DB4F;
}

.darkyellow{
    color: #c0af3f;
}

.purple{
    color: rgb(197, 0, 197);
}
.marron{
    color: rgb(255, 153, 0);
}

.a-propos-de-moi{
    color: whitesmoke;
    padding: 15px;
    display: flex;
    flex-direction: column;
    background-color: #393939c0;
}

pre{
    align-self: center;
    padding: 15px 0px;
    width: 70%;
    white-space: pre-wrap;
    height: auto;
    font-size: 14px;
    color: rgba(255, 255, 255, 0.801);
}

.home{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    position: relative;
}

.poste{
    text-transform: uppercase;
    position: relative;
    font-size: 34px;
    color: whitesmoke;
    text-align: center;
    width: fit-content;
}

.poste h1{
    font-size: 2em;
    color: #108DE9;
    margin-bottom: 50px;
    animation: scale-up-ver-center 0.6s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
    animation-delay: 0.2s;
}

.line-1{
    opacity: 0;
    width: 300px;
    height: 5px;
    border-radius: 25px;
    position: absolute;
    bottom: -25px;
    animation: opac 1s linear;
    animation-delay: 0.7s;
    animation-fill-mode: forwards;
}
.line-1::before,
.line-1::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #c0af3f;
  opacity: 0.5;
  animation: shine 1.5s linear infinite;
}

.line-1::before {
  animation-delay: -0.5s;
}

@keyframes shine {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(50px);
  }
  100% {
    transform: translateX(0);
  }
}

.line-2{
    opacity: 0;
    width: 300px;
    height: 5px;
    border-radius: 25px;
    position: absolute;
    bottom: -50px;
    left: 100px;
    animation: opac 1s linear;
    animation-delay: 1.1s;
    animation-fill-mode: forwards;
}

.line-2::before,
.line-2::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #00D8FF;
  opacity: 0.5;
  animation: shine 1.5s linear infinite;
}

.line-2::before {
  animation-delay: -0.5s;
}

.line-3{
    opacity: 0;
    width: 300px;
    height: 5px;
    border-radius: 25px;
    position: absolute;
    bottom: -75px;
    left: 200px;
    animation: opac 1s linear;
    animation-delay: 1.4s;
    animation-fill-mode: forwards;

}

.line-3::before,
.line-3::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #D63AFF;
  opacity: 0.5;
  animation: shine 1.5s linear infinite;
}

.line-3::before {
  animation-delay: -0.5s;
}


nav{
    opacity: 0;
    color: whitesmoke;
    position: absolute;
    top: 25px;
    background-color: rgba(255, 255, 255, 0.116);
    padding: 15px 50px;
    backdrop-filter: blur(5px);
    border-radius: 25px;
    animation: opac 0.5s linear;
    animation-delay: 0.7s;
    animation-fill-mode: forwards;
}

@keyframes opac {
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
    }
}


nav ul{
    display: flex;
    justify-content: space-around;
    gap: 100px;
}

li {
    list-style-type: none;
    margin: 0px;
}

li a {
    text-decoration: none;
    color: white;
    transition: 0.1s ease-in-out;
}

li a:hover{
    color: #0095ff;
}

.arrow{
    opacity: 0;
    position: absolute;
    bottom: 50px;
    rotate: 90deg;
    animation: opac 1s linear;
    animation-delay: 1.8s;
    animation-fill-mode: forwards;
}






.scale-up-ver-center {
	-webkit-animation: scale-up-ver-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
	        animation: scale-up-ver-center 0.4s cubic-bezier(0.390, 0.575, 0.565, 1.000) both;
}

@keyframes scale-up-ver-center {
    0% {
      -webkit-transform: scaleY(0);
              transform: scaleY(0);
    }
    100% {
      -webkit-transform: scaleY(1);
              transform: scaleY(1);
    }
  }
  


  @media (max-width:1024px) {
    pre{
        width: 90%;
    }

    .liste-contact{
        flex-direction: column;
        align-items: center;
    }

    .info{
        width: 90%;
    }
  }

  @media (max-width:768px) {

    nav{
        display: none;
    }

   .line-1, .line-2, .line-3{
    width: 200px;
    left: 50%;
    transform: translateX(-55%);
   }

   .line-1{
    bottom: -20px;
   }
   .line-2{
    bottom: -40px;
   }
   .line-3{
    bottom: -60px;
   }
   
   .poste h1{
    font-size: 1em;
   }

   .poste h2{
    font-size: 0.5em;
   }

   .card{
    width: 90%;
   }
   
   h2{
    margin: 15px;
   }

  }


  .element {
    opacity: 0;
    transform: translateY(100px);
    transition: opacity 0.8s ease-in, transform 0.5s ease-in-out;
}


  .element.visible {
    opacity: 1;
    transform: translateY(0);
}